JdbcServices (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.spi
Interface JdbcServices

All Superinterfaces:
  Serializable, Service

All Known Implementing Classes:
  JdbcServicesImpl

    public interface JdbcServices

extends Service

Contract for services around JDBC operations. These represent shared resources, aka not varied by session/use.

Method Summary
`ConnectionProvider` | `getConnectionProvider()` Obtain service for providing JDBC connections.
`Dialect` | `getDialect()` Obtain the dialect of the database to which `connections` from `getConnectionProvider()` point.
`ExtractedDatabaseMetaData` | `getExtractedMetaDataSupport()` Obtain information about supported behavior reported by the JDBC driver.
`LobCreator` | `getLobCreator(LobCreationContext lobCreationContext)` Create an instance of a `LobCreator` appropriate for the current environment, mainly meant to account for variance between JDBC 4 (<= JDK 1.6) and JDBC3 (>= JDK 1.5).
`ResultSetWrapper` | `getResultSetWrapper()` Obtain service for wrapping a `ResultSet` in a "column name cache" wrapper.
`SqlExceptionHelper` | `getSqlExceptionHelper()` Obtain service for dealing with exceptions.
`SqlStatementLogger` | `getSqlStatementLogger()` Obtain service for logging SQL statements.

Method Detail

### getConnectionProvider

    ConnectionProvider getConnectionProvider()

  Obtain service for providing JDBC connections.

  Returns:
    The connection provider.

### getDialect

    Dialect getDialect()

  Obtain the dialect of the database to which `connections` from `getConnectionProvider()` point.

  Returns:
    The database dialect.

### getSqlStatementLogger

    SqlStatementLogger getSqlStatementLogger()

  Obtain service for logging SQL statements.

  Returns:
    The SQL statement logger.

### getSqlExceptionHelper

    SqlExceptionHelper getSqlExceptionHelper()

  Obtain service for dealing with exceptions.

  Returns:
    The exception helper service.

### getExtractedMetaDataSupport

    ExtractedDatabaseMetaData getExtractedMetaDataSupport()

  Obtain information about supported behavior reported by the JDBC driver.

  Yuck, yuck, yuck! Much prefer this to be part of a "basic settings" type object.

  Returns:
    The extracted database metadata, oddly enough :)

### getLobCreator

    LobCreator getLobCreator(LobCreationContext lobCreationContext)

  Create an instance of a `LobCreator` appropriate for the current environment, mainly meant to account for variance between JDBC 4 (<= JDK 1.6) and JDBC3 (>= JDK 1.5).

  Parameters:
    `lobCreationContext` - The context in which the LOB is being created
  Returns:
    The LOB creator.

### getResultSetWrapper

    ResultSetWrapper getResultSetWrapper()

  Obtain service for wrapping a `ResultSet` in a "column name cache" wrapper.

  Returns:
    The ResultSet wrapper.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.